#include "Draw/Textures/PacmanTexture.h"

PacmanTexture::PacmanTexture() {
    if (!m_texture.loadFromFile(ASSETS_PATH + std::string(config::FONT_FILE)))
        throw std::runtime_error("Could not open the PacmanTexture file!");
}

PacmanTexture& PacmanTexture::Instance() {
    static PacmanTexture instance;
    return instance;
}

sf::Texture& PacmanTexture::get_texture() const noexcept  {
    return m_texture;
}
