#pragma once

#include "Config.h"

#include "SFML/Graphics.hpp"

class Texture {
public:
    virtual sf::Texture& get_texture() const noexcept = 0;
    void set_direction(config::Direction dir) { m_direction = dir; }
public:
    Texture(const Texture& tex) = delete;
    Texture& operator=(const Texture& tex) = delete;
protected:
    Texture() = default;
protected:
    config::Direction m_direction = config::Direction::RIGHT;
};